I'm having difficulty updating my Jaybird Tarah. I need some help

Please ensure that your audio device is compatible with the Jaybird App. The Jaybird App runs on devices using iOS 11 and above and Android 6 and above.
 

If you’re having issues updating your Jaybird Tarah firmware, the earbuds might not be making the appropriate connections. Please check the following:
 

  1. Verify that you have enough charge on the earbuds.

  2. Make sure your earbuds are connected to the Jaybird App. Please see “HOW CAN I CONNECT MY TARAH TO THE JAYBIRD APP?” to help you connect your earbuds.

If this does not solve your issue, please Contact Us.

Need more support?

If you have any questions that can't be answered here than maybe our community can help.
RUN WITH US

Sign up to receive exclusive offers and updates